Subject: Re: [PATCH net-next-2.6] drivers/net: Move && and || to end of previous line

From: Jarek Poplawski <[email-masked]>
Date: Sat, 05 Dec 2009 23:05:36 +0100

Joe Perches wrote, On 12/05/2009 06:50 PM:

> On Sat, 2009-12-05 at 07:43 -0500, William Allen Simpson wrote:
>> Joe Perches wrote:
>>> On Fri, 2009-12-04 at 14:10 +0100, Brice Goglin wrote:
>>>> Joe Perches wrote:
>>>>> Only files where David Miller is the primary git-signer.
>>>>> wireless, wimax, ixgbe, etc are not modified.
>>>> What's the point? Having them at the beginning of the next line is
>>>> easier to read from my point of view.
>>> It's just a stupid consistency thing.
>> Joe *agrees* that
>> having them on the beginning of the line is preferred.
> 
> This is not true.
> 
> I prefer code that I write for myself to
> use leading continuation tests.
> 
> For the Linux code, as should be obvious
> from the patches I submit, I prefer to
> have adherence to one predominant majority
> style.  I don't much care what form that
> style actually takes.
> 
>> Thousands of
>> contributors throughout the tree agree.
>> This is entirely a Miller thing.
> 
> Nope.  There have been many efforts to
> help standardize on single form styles.
> 
>> My main objection to these sweeping patches is that it makes it much
>> more difficult to maintain and apply patches across different versions of
>> the tree.
> 
> I think you underestimate the value of
> standardization and overestimate the
> quantity of work to sort it out for
> the -stable versions.

Actually, technically, legally etc. (except practically) William is right:
if it's not in the CodingStyle, and not obviously wrong, it shouldn't be
forced.

Jarek P.